/* 轮询间隔 */
var LOOP_INTERVAL = {
  airport: 15 * 1000,
  flight: 15 * 1000,
  waybill: 15 * 1000,
  goods: 15 * 1000,
  dashboard: 15 * 1000,
}

var NEW_DATACONTENT_ID = [
  51000,
  51001,
  51002,
  51003,
  51004,
  51005,
  51006,
  51007,
  51008,
  51009,
  51010,
  51011,
  51012,
  51013,
  51014,
  51015,
  51016,
  51017,
  51018,
  51019,
  51020,
  51021,
  51022,
  51023,
  51024,
  51025,
  51026,
  51027,
  51028,
  51029,
  51030,
  51031,
  51032,
  51033,
  51034,
  51035,
  51036,
  51037,
  51038,
  51039,
  51040,
  51041,
  51042,
  51043,
  51044,
  51045,
  51046,
  51047,
  51048,
  51049,
  51050,
  51060,
  52005,
  52004,
  52003,
  52002,
  52000,
  52024,
  52014,
  52015,
  52014,
  52012,
  52034,
  52033,
  52022,
  52023
]

var DATACONTENT_ID = {
  /***-----登录------***/
  loginId: 36, //登录-获取权限-id

  /***-----驾驶舱------***/
  jscHourlyPeakId: 51017, //国内出港-小时峰值分布-id
  jscWaybillTrendId: 51021, //国内出港-运单趋势分析-id
  jscNodePeakId: 1803536, //国内出港-节点峰值-id
  jscNumbersId: 51011, //国内出港-航班数&运单数-id
  jscAirlineTrafficId: 51027, //国内出港-航司运量-id
  jscAirlineId: 1803602, //国内出港-航班动态统计-id

  jscGjHourlyPeakId: 51018, //国际出港-小时峰值分布-id
  jscGjWaybillTrendId: 51022, //国际出港-运单趋势分析-id
  jscGjNodePeakId: 1803541, //国际出港-节点峰值-id
  jscGjNumbersId: 51012, //国际出港-航班数&运单数-id
  jscGjAirlineTrafficId: 51028, //国际出港-航司运量-id
  jscGjAirlineId: 1803604, //国际出港-航班动态统计-id

  jscCgHourlyPeakId: 51019, //国内进港-小时峰值分布-id
  jscCgWaybillTrendId: 51023, //国内进港-运单趋势分析-id
  jscCgNodePeakId: 1803546, //国内进港-节点峰值-id
  jscCgNumbersId: 51013, //国内进港-航班数&运单数-id
  jscCgAirlineTrafficId: 51029, //国内进港-航司运量-id
  jscCgAirlineId: 1803606, //国内进港-航班动态统计-id

  jscJgHourlyPeakId: 51020, //国际进港-小时峰值分布-id
  jscJgWaybillTrendId: 51024, //国际进港-运单趋势分析-id
  jscJgNodePeakId: 1803551, //国际进港-节点峰值-id
  jscJgNumbersId: 51014, //国际进港-航班数&运单数-id
  jscJgAirlineTrafficId: 51030, //国际进港-航司运量-id
  jscJgAirlineId: 1803608, //国际进港-航班动态统计-id

  jscAirlineAbnormalId: 51025, //驾驶舱-始发站/目的站统计分析-id
  jscFlightDynamicsId: 51026, //驾驶舱-驾驶舱-航班动态table-id

  jscGgPullId: 51032, //驾驶舱-国内离港-拉货统计分析-id
  jscGjPullId: 51033, //驾驶舱-国际离港-拉货统计分析-id

  jscTallyId: 51034, //驾驶舱-货物重量统计-id
  jscGoodsId: 51031, //驾驶舱-特货分类统计-id

  /***-----权限管理------***/
  authTreeId: 40, //权限管理-权限树
  authTreeNewId: 92, //权限管理-权限树

  /***-----应用管理------***/
  appTableId: 39, //应用管理

  /***-----数据查询------***/
  airportCode: 100015, // 数据查询-航班-航站列表
  flightDataQuery: 51000, //数据查询-航班-表格
  waybillDataQuery: 51001, //数据查询-运单-表格
  freightDataQuery: 1803440, //数据查询-货物-表格
  messageDataQuery: 100103, //数据查询-报文-表格

  /***-----高级查询------***/
  baggageTypeId: 86, //高级查询-特殊行李类型下拉选项查询-id
  advancedQueryId: 30, //高级查询-数据查询-id
  advancedQueryNew: 93, //高级查询-数据查询-id

  /***-----账号管理------***/
  accountTableId: 78, //账号管理-首页-列表
  accountRoleId: 43, //账号管理-根据id查角色
  accountDetailsId: 45, //账号管理-根据id查详情

  /***-----账号组管理------***/
  accountGroupTableId: 18034, //账号组管理-首页-列表
  accountGroupSelId: 18035, //账号组管理-下拉
  accountGroupDetailsId: 18036, //账号组管理-根据id查详情

  /***-----角色管理------***/
  roleTableId: 59, //角色管理-首页-列表
  roleTableNId: 63, //角色管理-首页-列表
  roleTableNewId: 91, //角色管理-根据id查权限
  roleDetailsId: 62, //角色管理-根据id查详情
  roleAuthId: 42, //角色管理-根据id查权限

  /***-----基础数据------***/
  airlineTableId: 80, //基础数据-航司信息维护-表格-id
  airportTreeId: 58, //基础数据-机场信息维护-公司列表-id
  airportTableId: 79, //基础数据-机场信息维护-表格-id
  terminalTableId: 1803432, //基础数据-机场信息维护-区域-表格-id
  airpositTableId: 1803433, //基础数据-机场信息维护-区域位置-表格-id
  deployNodeId: 54, //基础数据-节点信息维护-id
  modelMainNodeId: 1803434, //基础数据-机型维护-id
  shippingNodeId: 1803435, //基础数据-舱位-id
  containerNodeId: 1803436, //基础数据-容器-id
  bagTableId: 55, //基础数据-特殊行李维护-表格-id
  equipmentNodeId: 1803437, //基础数据-设备维护-表格-id
  forwarderNodeId: 1803438, //基础数据-货代-表格-id

  /***-----应用管理------***/
  appTableId: 39, //应用管理-列表

  /***-----系统设置------***/
  sysProtoTabId: 1, //系统设置-协议管理-表格-id
  structureTabId: 5, //系统设置-数据结构管理-表格-id
  sourceDataTabId: 6, //系统设置-源数据管理-表格-id
  dataitemTabId: 9, //系统设置-数据项-表格-id
  sysLogTable: 12, //系统设置-日志-表格
  sysServiceWarningId: 18029, //查询预警报警场景列表
  sysServiceWarnId: 18030, //预警报警场景(按照ID)
  sysServiceStrategyId: 18033, //预警报警策略(按照ID)
  sysQueryEditId: 24, //系统设置-查询模板-编辑-根据id获取服务
  sysQueryChildTabId: 25, //系统设置-查询模板-列设置-表格-id
  sysQueryChildEditTabId: 26, //系统设置-查询模板-列设置-表格-编辑-id
  messageQueryTabId: 1803442, //系统设置-消息查询-表格-id

  dataSourceOptions: 13, //系统设置-数据源下拉
  serviceOptions: 14, //系统设置-服务下拉
  protocolOptions: 15, //系统设置-协议下拉
  machineOptions: 17, //系统设置-机器下拉
  dataStructOptions: 18, //系统设置-数据结构下拉
  templateOptions: 19, //系统设置-查询模板下拉
  booleanOptions: 20, //系统设置-布尔值下拉
  filteredTemplateOptions: 21, //系统设置-下拉选项下拉

  sysServiceTable: 2, //系统设置-服务管理-表格
  sysServiceMachineTable: 3, //系统设置-服务管理-编辑-部署机器-表格
  sysServiceOutTable: 7, //系统设置-服务管理-编辑-输出-表格
  sysServiceDetail: 23, //系统设置-服务管理-编辑服务-根据id获取服务详情
  sysServiceTopologyTable: 31, //系统设置-服务管理-服务拓扑-查看日志
  sysServiceTopology: 32, //系统设置-服务管理-服务拓扑-根据id获取拓扑图
  sysDataEditId: 57, //系统设置-数据结构-数据项-表格-编辑-id
  sysServiceNodeList: 89, // 系统设置-服务管理-机器列表
  sysServiceaddId: 8013, //新增预警报警场景
  sysServiceStrategyaddId: 8014, //新增预警报警策略
  /***-----进港管理------***/
  // arrivalAirId: 67, //进港管理-机场选择
  // arrivalTableId: 38, //进港管理-表格

  // /***-----离港管理------***/
  // departureAirMainId: 65, //离港管理-机场选择
  // departureTableMainId: 66, //离港管理-表格
  // departureWarningId: 18040, //离港管理-报警策略

  // /***-----中转进港------***/
  // departureAirId: 72, // 中转进港-机场选择
  // departureAviJoinId: 71, // 中转进港-进港承运航司
  // departureAviLeaveId: 74, // 中转进港-离港承运航司
  // departureTableId: 69, // 中转进港-表格

  // /***-----中转离港------***/
  // departureAirLtId: 72, // 中转离港-机场选择
  // departureAviJoinLtId: 71, // 中转离港-进港承运航司
  // departureAviLeaveLtId: 74, // 中转离港-离港承运航司
  // departureTableLtId: 68, // 中转离港-表格

  // /***-----航班视图------***/
  // flightAirline: 1141, // 航班-航段
  // flightInfo: 1142, // 航班-基础信息
  // flightContainer: 41, // 航班-容器
  // flightBaggage: 1144, // 航班-行李列表
  // abnormalBaggageInfo: 1145,

  // /***-----行李视图------***/
  // baggageBasicInfo: 255, // 行李-基础信息
  // baggageAirline: 18009, // 行李-航段
  // baggageTrack: 18010, // 行李-追踪节点
  // baggageDetails: 44, // 行李-详情列表
  // baggageMessage: 3066, // 行李-原始报文

  // /***-----容器视图------***/
  // containerHistory: 18026,
  // containerBaggage: 18027,

  /***-----综合可视化------***/
  // 航站
  departureAirport: 51007, // 国内离港航站
  departureAirportCount: 51011, // 国内离港统计
  arrivalAirport: 51005, // 国内进港航站
  arrivalAirportCount: 51013, // 国内进港统计
  internationalDepartureAirport: 51008, // 国际离港航站
  internationalDepartureAirportCount: 51012, // 国际离港统计
  internationalArrivalAirport: 51006, // 国际进港航站
  internationalArrivalAirportCount: 51014, // 国际进港统计
  internationalDepartureTransferAirport: 51015, // 中转航站
  internationalDepartureTransferAirportCount: 51016, // 中转统计
  warningRules: 18040, // 报警预警策略
  // 航班
  departureFlightInfo: 51003, // 国内离港航班基础信息
  departureFlightWaybill: 52004, // 国内离港航班运单
  departureFlightContainer: 52005, // 国内离港航班集装器
  departureFlightContainerWaybill: 20006, // 国内离港航班-集装器内运单
  arrivalFlightInfo: 51002, // 国内进港航班基础信息
  arrivalFlightWaybill: 52024, // 国内进港航班运单
  // arrivalFlightContainer: 1803617, // 国内进港航班集装器
  arrivalFlightContainerWaybill: 1803620, // 国内进港航班-集装器内运单
  internationalDepartureFlightInfo: 51010, // 国际离港航班基础信息
  internationalDepartureFlightWaybill: 52014, // 国际离港航班运单
  internationalDepartureFlightContainer: 52015, // 国际离港航班集装器
  internationalDepartureFlightContainerWaybill: 20016, // 国际离港航班-集装器内运单
  internationalArrivalFlightInfo: 51009, // 国际进港航班基础信息
  internationalArrivalFlightWaybill: 52034, // 国际进港航班运单
  // internationalArrivalFlightContainer: 1803618, // 国际进港航班集装器
  internationalArrivalFlightContainerWaybill: 1803619, // 国际进港航班-集装器内运单
  internationalDepartureTransferFlightInfo: 51010, // 中转航班基础信息
  internationalDepartureTransferFlightWaybill: 52014, // 中转航班运单
  internationalDepartureTransferFlightContainer: 52015, // 中转航班集装器
  internationalDepartureTransferFlightContainerWaybill: 20016, // 中转航班-集装器内运单
  airportNameZh: 51004, // 机场中文名
  // 运单
  departureWaybillInfo: 52002, // 国内离港运单基础信息
  departureWaybillGoods: 52003, // 国内离港运单节点跟踪
  departureWaybillPull: 52000, // 国内离港运单拉下信息
  arrivalWaybillInfo: 52002, // 国内进港运单基础信息
  arrivalWaybillGoods: 52023, // 国内进港运单节点跟踪
  internationalDepartureWaybillInfo: 52012, // 国际离港运单基础信息
  internationalDepartureWaybillGoods: 52003, // 国际离港运单节点跟踪
  internationalDepartureWaybillPull: 52000, // 国际离港运单拉下信息
  internationalArrivalWaybillInfo: 52012, // 国际进港运单基础信息
  internationalArrivalWaybillGoods: 52023, // 国际进港运单节点跟踪
  internationalDepartureTransferWaybillInfo: 52012, // 中转运单基础信息
  internationalDepartureTransferWaybillGoods: 52003, // 中转运单节点跟踪
  internationalDepartureTransferWaybillPull: 52000, // 中转运单拉下信息
  // 货物
  goodsInfo: 100008, // 货物基础信息
  goodsAirline: 100009, // 货物航段
  goodsTrack: 100010, // 货物节点跟踪
  goodsFlight: 100011, // 货物航班跟踪
  // 轨迹地图
  trackMapNode: 1803533,

  /***-----统计分析------***/
  stOrderId: 18012,
  stOrderChartId: 18013,
  stCalId: 18014,
  stFigntsId: 18015,
  stSpeedId: 18016,
  stBaggageId: 18017,
  stMapId: 18018,
  stCountryId: 18019,
  stTerminalId: 18020,
  stBrsId: 1803429,

  // 数据统计
  airlineOptions: 1806, // 航线下拉
  twoCharacterOptions: 1803426, // 二字码下拉
  termSeleid: 1156, //航站选择下拉
  areaOptions: 1807, // 大区/基地分公司下拉
  AirportId: 1808, // 航站下拉
  TerminalId: 1809, // 区域下拉
  byOther: 1810, // 大区/分公司以外航班统计（全部）
  byArea: 1811, // 根据大区/分公司航班统计（全部）
  withBaggageByOther: 1812, // 大区/分公司以外航班统计（有行李）
  withBaggageByArea: 1814, // 根据大区/分公司航班统计（有行李）
  baggageByOther: 1815, // 行李统计（全部）
  baggageByArea: 1816, // 行李统计-分公司（全部）
  notDelByOther: 1817, // 行李统计（不包含DEL）
  notDelByArea: 1818, // 行李统计-分公司（不包含DEL）
  baggagePassengerByOther: 1819, // 行李旅客统计
  baggagePassengerByArea: 1820, // 行李旅客统计-分公司
  specialBaggageByOther: 1821, // 特殊行李统计
  specialBaggageByArea: 1822, // 特殊行李统计-分公司
  abnormalBaggageByOther: 1823, // 异常行李统计
  abnormalBaggageByArea: 1824, // 异常行李统计-分公司
  complaintBaggageByOther: 1825, // 投诉行李统计
  complaintBaggageByArea: 1826, // 投诉行李统计-分公司
  compensationBaggageByOther: 1827, // 赔偿行李统计
  compensationBaggageByArea: 1828, // 赔偿行李统计-分公司
  compensationByOther: 1829, // 赔偿金额统计
  compensationByArea: 1830, // 赔偿金额统计-分公司
  baggageAverageByOther: 1831, // 平均行李统计
  baggageAverageByArea: 1832, // 平均行李统计-分公司
  specialBaggageClassificationByOther: 1193, // 特殊行李分类统计
  specialBaggageClassificationByArea: 1194, // 特殊行李分类统计-分公司
  flightClassificationByOther: 1195, // 航班分类统计
  flightClassificationByArea: 1196, // 航班分类统计-分公司
  compensationClassificationByOther: 1197, // 赔偿分类统计
  compensationClassificationByArea: 1198, // 赔偿分类统计-分公司
  passengerNormalClassificationByOther: 1199, // 旅客分类常客统计
  passengerNormalClassificationByArea: 1200, // 旅客分类常客统计-分公司
  passengerImportantClassificationByOther: 1201, // 旅客分类要客统计
  passengerImportantClassificationByArea: 1202, // 旅客分类要客统计-分公司
  abnormalBaggageClassificationByOther: 1205, // 异常行李分类统计
  abnormalBaggageClassificationByArea: 1206, // 异常行李分类统计-分公司
  nodeRange: 1801, // 节点查询范围
  nodeAirline: 1802, // 节点航线下拉
  nodeAirport: 1803, // 节点航站下拉
  nodeAll: 1804, // 节点统计雷达图-全部
  nodeIn: 1804, // 节点统计雷达图-进港
  nodeOut: 1804, // 节点统计雷达图-离港
  nodeExportAirline: 1805, // 节点统计导出-航线
  nodeExportAirport: 1805, // 节点统计导出-航站
  nodeAxisDesc: 90, // 节点统计指示器名称解释
  modeFlightvolume: 51036, //航班统计计量
  modeLoadingweight: 51035, //加货重量统计
  modeSpecialgoods: 51037, //特货统计
  modeCargostatistics: 51048, //货量统计
  modePullgoods: 51038, //拉货统计
  modePulltable: 51039, //拉货统计表
  modeDomestictable: 51060, //国内进港保障时间统计
  modeDomesticexportTable: 51040, //国内出港
  modeDomesticentryTable: 51041, //国内进港
  modeInternationalexportTable: 51042, //国际出港
  modeInternationaladvanceTable: 51043, //国际进港
  modeCargoFlightStatisTable: 51044, //货机航班计划统计表-汇总
  modeCargoFlightTimeTable: 51045, //货机航班计划统计表-小时
  modeChannelbased: 51046, //基于通道
  modeAgentbased: 51047, //基于代理人
  modeSpecialList: 51049, //特货明细
  modedeliverydetails: 51050, //拉货明细
}

var SERVICE_ID = {
  /***-----账号管理------***/
  accountScId: 17, //账号管理-增删改
  roleScId: 16, //账号管理-角色授权-增删改

  /***-----账号组管理------***/
  accountGroupScId: 8015, //账号管理-增删改

  /***-----角色管理------***/
  roleMsgId: 14, //角色管理-增删改
  roleMsgTreeId: 15, //角色管理-权限树-增删改
  roleMsgAuthId: 20, //角色管理-权限树规则-增删改

  /***-----系统设置------***/
  sysProtoTabId: 1, //系统设置-协议管理-表格-增删改
  sysServiceOutputEdit: 2, // 系统设置-服务管理-编辑服务-输出
  sysServiceEdit: 3, //系统设置-服务管理-新增/编辑
  sysServiceMachineEdit: 4, //系统设置-服务管理-编辑服务-部署机器-多选框
  sysQueryTabId: 5, //系统设置-查询模板-表格-增删改
  sysDataTabId: 9, //系统设置-数据结构-数据项-表格-增删改
  sysServiceAddXyId: 10, //系统设置-服务管理-新增服务-新增数据源-提交

  /***-----应用管理------***/
  appScId: 12, //应用管理-增删改

  /***-----权限项管理------***/
  authScId: 13, //权限项管理-增删改

  /***-----应用管理------***/
  appScId: 12, //应用管理-增删改

  /***-----离港管理------***/
  departureScId: 8011, //发送报警预警日志信息
}
